import { NgModule } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { RouterModule } from '@angular/router';
import { CoreModule, BootstrapComponent, CommonModule } from '@c8y/ngx-components';

import { DevicesComponent } from './devices/devices.component'; // DevicesComponent をインポート

@NgModule({
  imports: [
    BrowserModule,
    RouterModule.forRoot([{ path: '', component: DevicesComponent }], // アプリケーションのルートモジュールに DevicesComponent を指定
    { enableTracing: false, useHash: true }),
    // c8y- プレフィックスが付くコンポーネントのためのモジュール
    CoreModule,
    // データアクセスと翻訳のためのモジュール、@c8y/client の使用に必要
    CommonModule
  ],
  declarations: [DevicesComponent], // DevicesComponent を追加
  bootstrap: [BootstrapComponent]
})
export class AppModule {}