import { Component } from '@angular/core';
import { InventoryService, IManagedObject, IObservableOptions } from '@c8y/client';

@Component({
  selector: 'app-device',
  templateUrl: 'devices.component.html'
})

export class DevicesComponent {
  devices: IManagedObject;

  // 初回 GET リクエスト時のページングとリストのフィルタ設定
  private filter: object = {
    fragmentType: 'c8y_IsDevice',
    pageSize: 2000
  }

  // Observable データのオプション設定
  private options: IObservableOptions = {
    realtime: true
  }

  // コンストラクタで InventoryService を依存性注入(Dependency Injection)
  constructor(private inventory: InventoryService) {
    this.loadDevices();
  }

  // デバイス一覧情報を取得
  loadDevices() {
    const list$ = this.inventory.list$(this.filter, this.options);
    list$.subscribe((data) => {
      this.devices = data;
    });
  }
}